<div id="news" class="section">
    <div class="container">
        <h2 *hasAnyRole="'SUPERADMIN'">
            <!--        <span id="user-management-page-heading">Users</span>-->
            <button class="btn btn-primary float-right" (click)=createNews(null)>
                <fa-icon [icon]="'plus'"></fa-icon> <span> Create a news</span>
            </button>
        </h2>
        <div class="table-responsive">
            <table class="event_calender table">
                <thead class="event_title">
                <tr>
                    <th>
                        <i class="ion-ios-calendar-outline"></i>
                        <span>news</span>
                    </th>
                    <th></th>
                </tr>
                </thead>
                <tbody>

                <tr *ngFor="let post of news">
                    <td class="event_date">
                        <p>{{post.createdAt | date:'d' }}th
                        <span>{{post.createdAt | date:'MMM' }} </span>
                    </td>
                    <td>
                        <div class="event_place">
                            <h6>{{post.postText}}</h6>
                            <p>Author: {{post.user.person.firstName}} {{post.user.person.lastName}}</p>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>
